PHP Manual
Prev |  | Next

# imageantialias

(PHP 4 >= 4.3.2, PHP 5)

imageantialias -- Should antialias functions be used or not

## Description

bool imageantialias ( resource image, bool on )

Activate the fast drawing antialiased methods for lines and wired polygons. It does not support alpha components. It works using a direct blend operation. It works only with truecolor images.

Thickness and styled are not supported.

Using antialiased primitives with transparent background color can end with some unexpected results. The blend method uses the background color as any other colors. The lack of alpha component support does not allow an alpha based antialiasing method.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`on`

  Wether to enable antialiasing or not.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

> Note: This function is only available if PHP is compiled with the bundled version of the GD library.

## See Also

imagecreatetruecolor()

Prev | Home | Next
imagealphablending | Up | imagearc